// mainvideo styles
#scrollContainer {
    position: relative;

    height: 100%;
    width: 100%;

    // overflow-y: scroll;
    // overflow-x: hidden;
}

.mainvideo {
    // min-height: 10vh;
    position: relative;
    
    &__container {
        height: 100%;
        left: 0;
        position: fixed;
        top: 0;
        width: 100%;
        z-index: -1;

        video {
            height: 100%;
            left: 0;
            opacity: 1;
            position: absolute;
            top: 0;
            transform: translate3d(0, 0, 0);
            // visibility: hidden;
            width: 100%;
            z-index: 0;
            @include image-cover;
        }

        &:before {
            content: "";
            display: block;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            @include background-gradient(rgba(0,0,0, 0.1), $black, vertical);
            opacity: 0.4;
            z-index: 1;
        }
    }

    &__fallback {
        height: 100%;
        left: 0;
        position: fixed;
        top: 0;
        width: 100%;
        z-index: -1;

        img {
            height: 100%;
            left: 0;
            opacity: 0;
            display: none;
            position: absolute;
            top: 0;
            transform: translate3d(0, 0, 0);
            transition: all 0.35s ease-in-out;
            width: 100%;
            z-index: 0;
        }
    }
    &--logo {
        display: flex;
        align-items: center;
        justify-content: center;

        img {
            // position:fixed;
        }
    }

    &__content {
        color: $white;

        &--item {
            height: 100vh;
            position: relative;
            z-index: 99;
        }
        h2 {
            letter-spacing: 1px;
            font-size: calc-em(60px);
            line-height: 70px;
            margin: 0;
            transform: translateY(50%);
            opacity: 0;
        }
        p {
            letter-spacing: 1px;
            font-size: calc-em(32px);
            margin: 0;
            transform: translateY(30%);
            opacity: 0;
        }

        &--footer {
            @include background-gradient(rgba(255,255,255, 0), $white, vertical);
            height: 70vh;
            position: relative;
            z-index: 99;
        }
    }
}

@media only screen and (max-width: $bpLgDesktop - 1) {
    .mainvideo {
        &__content {
            h2 {
                font-size: calc-em(50px);
                line-height: 64px;
            }
            p {
                font-size: calc-em(24px);
            }
        }
    }
}

@media only screen and (max-width: $bpTablet - 1) {
    .mainvideo {
        &__content {
            h2 {
                font-size: calc-em(36px);
                line-height:50px;
            }
            p {
                font-size: calc-em(18px);
            }
        }
    }
}